Bug 1923388 - czmq: FTBFS in Fedora rawhide/f34
Summary: czmq: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: czmq
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Arnaud
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 16:43 UTC by Fedora Release Engineering
Modified: 2021-02-10 01:19 UTC (History)
2 users (show)

Fixed In Version: czmq-4.2.1-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-10 01:19:27 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-02-01 16:43 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-02-01 16:43 UTC, Fedora Release Engineering
no flags Details
state.log (945 bytes, text/plain)
2021-02-01 16:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 16:43:16 UTC
czmq failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60909307


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix czmq at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
czmq will be orphaned. Before branching of Fedora 35,
czmq will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 16:43:18 UTC
Created attachment 1753194 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-02-01 16:43:19 UTC
Created attachment 1753195 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 16:43:20 UTC
Created attachment 1753196 [details]
state.log

Comment 4 Denis Arnaud 2021-02-01 20:32:08 UTC
Should be fixed by https://bodhi.fedoraproject.org/updates/FEDORA-2021-5bf26fe33c

Comment 5 Fedora Update System 2021-02-02 02:19:58 UTC
FEDORA-2021-c756747fd0 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c756747fd0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c756747fd0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Ben Cotton 2021-02-09 15:49:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 7 Fedora Update System 2021-02-10 01:19:27 UTC
FEDORA-2021-c756747fd0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.